SC_WRITE_RECORD(3)

NAME
sc_write_record - Write a record to a file

SYNOPSIS

    #include <opensc.h>
    int sc_write_record(struct sc_card *card, unsigned int record,
                        const unsigned char *buf, size_t buflen,
                        unsigned long flags);

DESCRIPTION

This function writes a record that is buflen bytes long from the buffer pointed to by buf to a record-structured elementary file (EF) on card. The function corresponds to the ISO 7816 WRITE RECORD function. Call sc_select_file() first to select the file to write to.

record specifies the ID of the record to be written, or, if flags is set to SC_RECORD_BY_REC_NR, the record number. If record is set to zero, the current record will be read.

This function is used for newly created files only; for updating or appending to existing files, see the sc_update_record() and sc_append_record() functions, respectively.

RETURN VALUE

Returns the number of bytes written if successful, or a negative value in case of error.